### File

`src/app/about/about.component.ts`

### Description

The about component

PIT

Direction

ChartChange

foo

Display some text with links for details about TodoMVC & Compodoc.

### Metadata

entryComponents | `TodoComponent` `ListComponent`
preserveWhitespaces | `false`
providers | `EmitterService`
selector | `about`

template

    <p>    This application is a <a [routerLink]="['todomvc']">TodoMVC</a> example written using {{angularVersion}}, with code documented, and ready for <a [routerLink]="['compodoc']">compodoc</a>.
    </p>
    <router-outlet></router-outlet>

### Index

###### Properties

- Private _fullName
- chartOptions
- Static publicStaticVariable
- Static Readonly staticReadonlyVariable
- Public subscriptions

###### Methods

- Public Async foo
- onMouseup
- Private Static privateStaticMethod
- Protected Static protectedStaticMethod
- Public publicMethod
- Static publicStaticMethod
- Static staticMethod

###### Inputs

- angularVersion

###### HostListeners

- mouseup

###### Accessors

- fullName

### Inputs

angularVersion
Type : `string`
Default value : `'Angular 2'`
Defined in src/app/about/about.component.ts:41
Inherited type of Angular Version

### HostListeners

mouseup
Arguments : `'$event.clientX' '$event.clientY'`
`mouseup(mouseX: number, mouseY: number)`
Defined in src/app/about/about.component.ts:36
HostListener mouseup description

### Methods

Public Async foo
`foo()`
Defined in src/app/about/about.component.ts:100
Returns : `Promise<any>`

onMouseup
`onMouseup(mouseX: number, mouseY: number)`
Decorators : `@HostListener('mouseup', ['$event.clientX', '$event.clientY'])`
Defined in src/app/about/about.component.ts:36

HostListener mouseup description

Parameters :

Name | Type | Optional
mouseX | `number` | No
mouseY | `number` | No

Returns : `void`

Private Static privateStaticMethod
`privateStaticMethod()`
Defined in src/app/about/about.component.ts:84
Returns : `string`

Protected Static protectedStaticMethod
`protectedStaticMethod()`
Defined in src/app/about/about.component.ts:80
Returns : `string`

Public publicMethod
`publicMethod()`
Defined in src/app/about/about.component.ts:96
Returns : `string`

Static publicStaticMethod
`publicStaticMethod()`
Defined in src/app/about/about.component.ts:88
Returns : `string`

Static staticMethod
`staticMethod()`
Defined in src/app/about/about.component.ts:92
Returns : `string`

### Properties

Private _fullName
Type : `string`
Defined in src/app/about/about.component.ts:58

chartOptions
Type : `Highcharts.Options`
Default value : `{ colors: [ '#7cb5ec', '#434348', '#90ed7d', '#f7a35c', '#8085e9', '#f15c80', '#e4d354', '#2b908f', '#f45b5b', '#91e8e1' ] }`
Defined in src/app/about/about.component.ts:43

Static publicStaticVariable
Type : `string`
Defined in src/app/about/about.component.ts:78

Static Readonly staticReadonlyVariable
Type : `string`
Defined in src/app/about/about.component.ts:76

Public subscriptions
Type : `Subscription[]`
Defined in src/app/about/about.component.ts:30

### Accessors

fullName
get `fullName()`
Defined in src/app/about/about.component.ts:64
Getter of _fullName Returns : `string`
set `fullName(newName: string)`
Defined in src/app/about/about.component.ts:72

Setter of _fullName

Parameters :

Name | Type | Optional | Description
newName | `string` | No | The new name

Returns : `void`

    import { Component, HostListener, Input } from '@angular/core';

    import template from './about.component.html';

    import { Subscription } from 'rxjs/Subscription';

    /**
     * The about component
     *
     * {@link PIT}
     *
     * {@link Direction}
     *
     * {@link ChartChange}
     *
     * {@link foo}
     *
     * Display some text with links for details about TodoMVC & Compodoc.
     */
    @testDecorator
    @UntilDestroy()
    @Component({
        selector: 'about',
        template,
        providers: [EmitterService],
        entryComponents: [TodoComponent, ListComponent],
        preserveWhitespaces: false
    })
    export class AboutComponent {
        public subscriptions: Subscription[];

        /**
         * HostListener mouseup description
         */
        @HostListener('mouseup', ['$event.clientX', '$event.clientY'])
        onMouseup(mouseX: number, mouseY: number): void {}

        /**
         * Inherited type of Angular Version
         */
        @Input() public angularVersion = 'Angular 2';

        chartOptions: Highcharts.Options = {
            colors: [
                '#7cb5ec',
                '#434348',
                '#90ed7d',
                '#f7a35c',
                '#8085e9',
                '#f15c80',
                '#e4d354',
                '#2b908f',
                '#f45b5b',
                '#91e8e1'
            ]
        };

        private _fullName: string;

        /**
         * Getter of _fullName
         * @return {string} _fullName value
         */
        get fullName(): string {
            return this._fullName;
        }

        /**
         * Setter of _fullName
         * @param  {string} newName The new name
         */
        set fullName(newName: string) {
            this._fullName = newName;
        }

        static readonly staticReadonlyVariable: string;

        public static publicStaticVariable: string;

        protected static protectedStaticMethod(): string {
            return '';
        }

        private static privateStaticMethod(): string {
            return '';
        }

        public static publicStaticMethod(): string {
            return '';
        }

        static staticMethod(): string {
            return '';
        }

        public publicMethod(): string {
            return '';
        }

        public async foo(): Promise<any> {}
    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""